function ___$insertStyle(css) {
  if (!css) {
    return;
  }
  if (typeof window === 'undefined') {
    return;
  }

  var style = document.createElement('style');

  style.setAttribute('type', 'text/css');
  style.innerHTML = css;
  document.head.appendChild(style);

  return css;
}

___$insertStyle(".emoji-rate {\n  font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;\n  display: -webkit-box;\n  display: -ms-flexbox;\n  display: flex; }\n  .emoji-rate input {\n    display: none; }\n    .emoji-rate input:indeterminate ~ label g {\n      -webkit-transform: perspective(500px) translate3d(0, 0, 0);\n              transform: perspective(500px) translate3d(0, 0, 0); }\n    .emoji-rate input:checked + label > svg > circle {\n      fill: #ffdd67;\n      stroke: #ffdd67; }\n    .emoji-rate input:checked + label > svg > g {\n      fill: #664e27;\n      -webkit-transform: perspective(500px) translate3d(0, 0, 0) !important;\n              transform: perspective(500px) translate3d(0, 0, 0) !important; }\n    .emoji-rate input:checked + label span {\n      color: #664e27; }\n    .emoji-rate input:checked ~ label g {\n      -webkit-transform: perspective(500px) translate3d(-5px, 0, -5px);\n              transform: perspective(500px) translate3d(-5px, 0, -5px); }\n  .emoji-rate label {\n    margin: 0 5px;\n    padding: 0 5px;\n    color: #999; }\n    .emoji-rate label > svg {\n      display: inline-block;\n      width: 1em;\n      height: 1em; }\n      .emoji-rate label > svg > circle {\n        fill: #fff;\n        stroke: #999;\n        -webkit-transition: all .5s;\n        transition: all .5s; }\n      .emoji-rate label > svg > g {\n        fill: #999;\n        -webkit-transform: perspective(500px) translate3d(5px, 0, 5px);\n                transform: perspective(500px) translate3d(5px, 0, 5px);\n        -webkit-transition: all .5s;\n        transition: all .5s; }\n    .emoji-rate label span {\n      display: block;\n      text-align: center;\n      font-size: .4em; }\n");

var emojiConfig = {
  fill: "#fff",
  stroke: "#999",
  dot: "#999",
  size: 3
};

var render = function (data) {
  return ("\n    <svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 64 64\">\n    <circle cx=\"32\" cy=\"32\" r=\"30\" fill=\"" + (emojiConfig.fill) + "\" stroke=\"" + (emojiConfig.stroke) + "\" stroke-width=\"" + (emojiConfig.size) + "\" />\n    <g fill=\"" + (emojiConfig.dot) + "\">\n      " + data + "\n    </g>\n    </svg>\n  ")
};

var defaultEmojis = {
  dissatisfied: {
    title: '不满',
    data: "\n      <circle cx=\"20.5\" cy=\"26.6\" r=\"5\"/>\n      <circle cx=\"43.5\" cy=\"26.6\" r=\"5\"/>\n      <path d=\"M23 47.6c5.8-4.8 12.2-4.8 18 0 .7.6 1.3-.4.8-1.3-1.8-3.4-5.3-6.5-9.8-6.5s-8.1 3.1-9.8 6.5c-.5.9.1 1.9.8 1.3\"/>\n    "
  },
  general: {
    title: '一般',
    data: "\n      <circle cx=\"32\" cy=\"45.1\" r=\"7\"/>\n      <circle cx=\"20.2\" cy=\"25\" r=\"4.5\"/>\n      <circle cx=\"42.7\" cy=\"25\" r=\"4.5\"/>\n    "
  },
  satisfied: {
    title: '满意',
    data: "\n      <circle cx=\"20.5\" cy=\"26.6\" r=\"5\"/>\n      <circle cx=\"43.5\" cy=\"26.6\" r=\"5\"/>\n      <path d=\"M44.6 40.3c-8.1 5.7-17.1 5.6-25.2 0-1-.7-1.8.5-1.2 1.6 2.5 4 7.4 7.7 13.8 7.7s11.3-3.6 13.8-7.7c.6-1.1-.2-2.3-1.2-1.6\"/>\n    "
  },
  awesome: {
    title: '超赞',
    data: "\n      <path d=\"M49 38c0-.8-.5-1.8-1.8-2.1-3.5-.7-8.6-1.3-15.2-1.3s-11.7.7-15.2 1.3c-1.3.3-1.8 1.3-1.8 2.1 0 7.3 5.6 14.6 17 14.6S49 45.3 49 38\"/>\n      <path d=\"M28.5 26.9c-1.9-5.1-4.7-7.7-7.5-7.7s-5.6 2.6-7.5 7.7c-.2.5.8 1.4 1.3.9 1.8-1.9 4-2.7 6.2-2.7s4.4.8 6.2 2.7c.6.5 1.5-.4 1.3-.9\"/>\n      <path d=\"M50.4 26.9c-1.9-5.1-4.7-7.7-7.5-7.7s-5.6 2.6-7.5 7.7c-.2.5.8 1.4 1.3.9 1.8-1.9 4-2.7 6.2-2.7 2.3 0 4.4.8 6.2 2.7.5.5 1.5-.4 1.3-.9\"/>\n      <path fill=\"#fff\" d=\"M44.7 38.3c-2.2-.4-6.8-1-12.7-1-5.9 0-10.5.6-12.7 1-1.3.2-1.4.7-1.3 1.5.1.4.1 1 .3 1.6.1.6.3.8 1.3.8h24.9c1 0 1.1-.2 1.3-.8.1-.6.2-1.1.3-1.6 0-.8-.1-1.3-1.4-1.5\"/>\n    "
  }
};

var index = function (el, options) {
  if ( options === void 0 ) options = {};

  var emojis = options.emojis; if ( emojis === void 0 ) emojis = defaultEmojis;
  var size = options.size; if ( size === void 0 ) size = 20;
  var name = options.name; if ( name === void 0 ) name = "emojiRate";
  var $el = typeof el === "string" ? document.querySelector(el) : el;
  // Create Template
  $el.innerHTML = "\n    <div class=\"emoji-rate\">\n      " + (Object.keys(emojis).map(function (key) {
          var ref = emojis[key];
          var data = ref.data;
          var title = ref.title;
          return ("\n            <input type=\"radio\" name=\"" + name + "\" id=\"" + name + "_" + key + "\" value=\"" + key + "\">\n            <label for=\"" + name + "_" + key + "\" style=\"font-size: " + size + "px\">\n              " + (render(data)) + "\n              <span>" + title + "</span>\n            </label>\n          ")
        }).join("\n")) + "\n    </div>\n  ";
};

export default index;
